@import "./src/components/Wrapper/index";

.navigation {
  @include max-width-paddings;
  min-width: 480px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto;
  position: relative;
  z-index: 1;

  &__wrapper {
    border-bottom: 1px solid $main-color-gold;
  }

  &__menu {
    margin: 0 auto;
    width: 100%;
    border-right: 1px solid $main-color-gold;
    border-left: 1px solid $main-color-gold;
  }

  &__logo, &__services {
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    position: absolute;
    width: 10%;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
  }

  &__logo {
    & img {
      max-width: 80%;
    }
  }

  &__services {
    right: 5%;
    color: $main-color-gold;

    &:hover {
      color: $text-color;
    }
  }

  &__cart {
    position: relative;

    &--val {
      position: absolute;
      top: 50%;
      left: 105%;
      padding: 5px 10px;
      overflow: hidden;
      border-radius: 40%;
      background-color: $text-color;
      color: white;
      transform: translateY(-50%);
    }
  }

  &__items {
    font-family: $button-text;
    font-size: $size-text-button;
    margin: 0;
    padding: 20px 0;
    color: $text-color;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
    width: 100%;
  }
  &__search{
    transform: translateX(-50%);
    position: absolute;
  left: 50%;
  top: 100%;
  &--action{
    position: absolute;
    bottom:5px;
    right: 5px;
    //transition: .3s;
    animation: fade 1s;
  }
}
  &__item {
    cursor: pointer;
    position: relative;
    display: block;
    padding: 10px 10px;
    box-sizing: border-box;
    transition: .3s;

    &:last-child {
      position: relative;
      margin-left: 5px;

      &::after {
        border: none;
      }
    }

    &--input {
      padding: 5px;
      overflow: hidden;
      border-radius: 10px;
      outline: none;
      text-indent: 10px;
      display: block;
      background-color: $background;
      animation: fade 1s;

      &::placeholder {
        padding: 5px;
        color: $text-color;
        opacity: .6;
      }
    }

    & a {
      color: $text-color;

      &:hover {
        text-decoration: none;
        color: darkgrey;
      }
    }

    &::after {
      display: none;
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      right: 0;
      height: 1vh;
      width: 100%;
      border-bottom: 1px solid $main-color-gold;
      border-top: 1px solid $main-color-gold;
    }

    &:hover {
      color: darkgrey;
      box-sizing: border-box;

      &::after {
        display: block;
      }
    }
  }

  &-icon {
    display: none;
    margin: 0 auto;
    width: 50px;
    height: 50px;
    flex-direction: column;
    justify-content: center;
    cursor: pointer;
    user-select: none;
    color: white;
    font-size: 30px;
    text-align: center;
    line-height: 1;

    &__line {
      width: 75%;
      height: 3px;
      background-color: $text-color;
      margin: 0 auto;

      &_middle-margin {
        margin-top: 5px;
        margin-bottom: 5px;
      }
    }
  }

  &__hide {

  }


}

@media (max-width: 767px) {
  .navigation {
    &__menu {
      height: 5em;
    }

    &-icon {
      display: flex;
      margin-top: 20px;
    }

    &__items {
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      flex-direction: column;
    }

    &__hide {
      display: none;
    }

    &__logo {
      width: 100px;

      & img {
        max-width: 100%;
      }
    }

    &__services {
      right: 10%;
      top: 30%;
    }

    &__cart {
      font-size: 1.5em;

      &--val {
        left: 50%;
        top: 35px;
        transform: translateX(-50%);
        font-size: .5em;
      }
    }

    &__item {
      border-radius: 20px;
      font-size: 1.5em;

      & a {
        color: rgb(201, 171, 129);
      }
    }
  }
}
